#16 parse "lower" option not supported ( 3.1 )

closed
nobody
None
5
2003-11-14
2003-06-16
Anonymous
No

envronment windows/xp cygwin
regina rexx 3.1

the stmt:
"parse lower var varname varname"

gives the following error :

Error 25 running "/cygdrive/c/systemsc/rxdcc", line 404:
Invalid sub-keyword found
Error 25.12: PARSE must be followed by one of the
keywords ARG EXTERNAL LINEIN PULL SOURCE UPPER
VAR VALUE VERSION; found "lower"

works with IBM OBJECT Rexx

regards

enrico sorichetti
e.sorichetti@tin.it

Discussion

  • Logged In: YES
    user_id=262734

    PARSE LOWER isn't described in the ANSI standard.
    It is an extension by ORexx. This "error" should be
    moved to the feature request section. (Mark?!)

     
  • Mark Hessling
    Mark Hessling
    2003-09-16

    Logged In: YES
    user_id=86185

    PARSE LOWER (and PARSE MIXED) are not defined in ANSI
    Rexx. As a result, this has been moved to a feature request,
    rather than a bug.

     
  • Logged In: YES
    user_id=262734

    The next official release with have this feature.

    Mark: Do you send an email to enrico? He won't
    get a message by SourceForge.

     
  • Mark Hessling
    Mark Hessling
    2003-11-14

    • status: open --> closed